@echo off

setlocal

call d:\Websphere\CommerceServer55\bin\setenv.bat


set DB_NAME=db2
set WCS_DBNAME=pmall
set UID=db2admin
set PWD=db2admin

set FILTER_NAME=ExportFilter.xml
set OUTPUT_FILE_NAME=xmltocif_filterout.xml

set TRANSFORM_INDEX_FILE=Export_cif_Index.xsl
set TRANSFORMED_INDEX_OUTPUT_FILE_NAME=xmltocif_Indexout.cif

set TRANSFORM_CONTRACT_FILE=Export_cif_Contract.xsl
set TRANSFORMED_CONTRACT_OUTPUT_FILE_NAME=xmltocif_Contractout.cif


if "%DB_NAME%"=="db2" goto runDB2SQL


if "%DB_NAME%"=="oracle" goto runOracleSQL

:runOracleSQL
call d:\Websphere\CommerceServer55\bin\setdbenv.oracle.bat

sqlplus -s %UID%/%PWD%@%WCS_DBNAME% < createview_ora.sql

echo Extracting the data...
%JAVA_HOME%\bin\java -classpath %CP% %massextract% -dbname %WCS_DBNAME% -dbuser %UID% -dbpwd %PWD%  -filter %FILTER_NAME% -outfile %OUTPUT_FILE_NAME% -customizer OracleConnectionCustomizer
echo Data Extracted......

echo Transforming the Index file...
%JAVA_HOME%\bin\java -classpath %CP% %xmltransform% -infile  %OUTPUT_FILE_NAME% -transform %TRANSFORM_INDEX_FILE% -outfile %TRANSFORMED_INDEX_OUTPUT_FILE_NAME%
echo Transformation of Index file complete......


echo Transforming the Contract file...
%JAVA_HOME%\bin\java -classpath %CP% %xmltransform% -infile  %OUTPUT_FILE_NAME% -transform %TRANSFORM_CONTRACT_FILE% -outfile %TRANSFORMED_CONTRACT_OUTPUT_FILE_NAME%
echo Transformation of Contract file complete......

echo Dropping the views
sqlplus -s %UID%/%PWD%@%WCS_DBNAME% < dropview.sql
goto exit


:runDB2SQL

call d:\Websphere\CommerceServer55\bin\setdbenv.db2.bat

echo db2 connect to %WCS_DBNAME% user %UID% using %PWD%
db2 connect to %WCS_DBNAME% user %UID% using %PWD%
echo db2 -tvf createview_db2.sql
db2 -tvf createview_db2.sql

echo Extracting the data...
%JAVA_HOME%\bin\java -classpath %CP% %massextract% -dbname %WCS_DBNAME% -dbuser %UID% -dbpwd %PWD%  -filter %FILTER_NAME% -outfile %OUTPUT_FILE_NAME%
echo Data Extracted......

echo Transforming the Index file...
%JAVA_HOME%\bin\java -classpath %CP% %xmltransform% -infile  %OUTPUT_FILE_NAME% -transform %TRANSFORM_INDEX_FILE% -outfile %TRANSFORMED_INDEX_OUTPUT_FILE_NAME%
echo Transformation of Index file complete......

echo Transforming the Contract file...
%JAVA_HOME%\bin\java -classpath %CP% %xmltransform% -infile  %OUTPUT_FILE_NAME% -transform %TRANSFORM_CONTRACT_FILE% -outfile %TRANSFORMED_CONTRACT_OUTPUT_FILE_NAME%
echo Transformation of Contract file complete......

echo db2 -tvf dropview.sql
db2 -tvf dropview.sql
db2 connect reset
goto exit



:exit

